<script setup lang="ts">
import { useMovieStore } from '@/stores/movies';
import { onMounted } from 'vue';
import { storeToRefs } from 'pinia'


const movieStore = useMovieStore()

onMounted(async () => {
  await movieStore.getMovies()
})

const { movies, isLoading, error } = storeToRefs(movieStore)
</script>

<template>
  <h1>Home page</h1>
  <p v-if="isLoading">Chargement des films</p>
  <ul v-else-if="movies.length">
      <li  v-for="(movie) in movies" :key="movie._id">
        <h3>{{ movie.name }}</h3>
      </li>
  </ul>
  <p v-else-if="error">{{ error }}</p>
</template>